print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeeftripe = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local beeftripeHudFile = "Paletten/hud_fill_beeftripe.dds"
	local beeftripeHudFileSmall = "Paletten/hud_fill_beeftripe_smal.dds"
	
    local beeftripeFilType = g_fillTypeManager:addFillType("BEEFTRIPE", g_i18n:getText("beeftripe"), true, pricebeeftripe * 1.8, 0.00045, math.rad(10), beeftripeHudFile, beeftripeHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasbeeftripe=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasbeeftripe=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "BEEFTRIPE" then
		hasbeeftripe=true
	end;
		
end;

		if hasmaize and not hasbeeftripe then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("BEEFTRIPE")
		local price = g_fillTypeManager:getFillTypeByName("BEEFTRIPE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BEEFTRIPE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)